import Controller from "./Controller";
import UserService from "../services/UserService";
import HomeViewModel from "../models/home/HomeViewModel";
import PartyService from "../services/PartyService";

export default class HomeController extends Controller {
	public async Index_Get_AllowAnonymous() {
		if (this.session) {
			const user = await UserService.GetUser(this.session.userId);
			if (!user) {
				return this.unauthorised();
			}

			const parties = await PartyService.GetUserParties(this.session.userId);
			const activeUserParty = await UserService.GetActiveParty(this.session.userId);

			const homeViewModel: HomeViewModel = {
				user,
				parties,
				activeUserParty
			};

			return this.view("home", homeViewModel);
		}

		return this.view();
	}
}